<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.GazelleCrossValidator']}</h2>
        <s:div id="globalDiv">
            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.xval.Validation']}"/>
                </ui:define>
                <h:form id="selectValidatorForm">
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:param name="id" value="validatorInput"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xval.Validator']}</ui:define>
                        <br/>
                        <h:selectOneMenu value="#{gazelleCrossValidatorManager.validator}"
                                         valueChangeListener="#{gazelleCrossValidatorManager.validatorSwitchListener}"
                                         id="validatorInput" styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{gazelleCrossValidatorManager.availableValidators}" var="val"
                                           label="#{val.affinityDomain} - #{val.name}"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xval.PleaseSelect']}"/>
                            <a4j:ajax event="change" render="loadFilesForm, buttons, globalDiv"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </h:form>

                <h:form id="loadFilesForm">
                    <ui:include src="/xvalidation/validate/filesDiv.xhtml">
                        <ui:param name="manager" value="#{gazelleCrossValidatorManager}"/>
                    </ui:include>

                    <ui:include src="/xvalidation/validate/uploadFilePanel.xhtml">
                        <ui:param name="uploadBean" value="#{gazelleCrossValidatorManager}"/>
                    </ui:include>
                </h:form>

                <ui:define name="panel_footer">
                    <h:form id="buttons">
                        <s:div rendered="#{gazelleCrossValidatorManager.validator != null}">
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Reset']}"
                                               actionListener="#{gazelleCrossValidatorManager.reset()}"
                                               render="globalDiv, selectValidatorForm"
                                               styleClass="gzl-btn-red"/>
                            <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.Validate']}"
                                               actionListener="#{gazelleCrossValidatorManager.validate()}"
                                               render="globalDiv, reportActionButtons, selectValidatorForm, loadFilesForm"
                                               styleClass="gzl-btn-blue"
                                               rendered="#{gazelleCrossValidatorManager.areAllInputsWithFiles()}"/>
                        </s:div>
                    </h:form>
                </ui:define>
            </ui:decorate>
            <s:div id="resultDiv" rendered="#{gazelleCrossValidatorManager.displayResult}">
                <ui:include src="/xvalidation/validate/reportTemplate.xhtml">
                    <ui:param name="reportBean" value="#{gazelleCrossValidatorManager}"/>
                </ui:include>
            </s:div>
        </s:div>
    </ui:define>
</ui:composition>
